%define	desktop_vendor planetccrma

Summary: Multitrack audio recording and editing suite
Name: traverso
Version: 0.42.0
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://traverso-daw.org/
Source0: traverso-%{version}.tar.gz
Source1: traverso.desktop
Source2: traverso-manual.pdf
Patch0: traverso-0.41.0-jackisdefault.patch
Patch1: traverso-0.42-cmakelists.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: hicolor-icon-theme
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: cmake qt4-devel glib2-devel fftw-devel
BuildRequires: alsa-lib-devel jack-audio-connection-kit-devel
BuildRequires: libsndfile-devel libsamplerate-devel redland-devel
BuildRequires: rasqal-devel raptor-devel desktop-file-utils
BuildRequires: libvorbis-devel wavpack-devel flac-devel
# ommited lame-devel support

%description
A free, cross platform multitrack audio recording and editing
suite, with an innovative and easy to master User Interface. It's
suited for both the professional and home user, who needs a robust and
solid DAW.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cmake . -DWANT_MP3_ENCODE=false -DWANT_MP3_DECODE=false \
        -DWANT_OPENGL=true \
        -DCMAKE_INSTALL_PREFIX=%{_prefix}
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__install} -m 0755 bin/traverso %{buildroot}%{_bindir}/traverso

# copy icons to the proper freedesktop location
%{__mkdir} -p %{buildroot}%{_datadir}
(cd resources/freedesktop; tar cf - icons)|(cd %{buildroot}%{_datadir}; tar xvf -)

# desktop file categories
BASE="Application AudioVideo Audio"
XTRA="X-Multitrack X-Jack"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

# include the manual
cp %{SOURCE2} .

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING HISTORY README TODO
%doc resources/help.text
%doc traverso-manual.pdf
%{_bindir}/traverso
%{_datadir}/icons/*/*/*
%{_datadir}/applications/%{desktop_vendor}-traverso.desktop

%changelog
* Wed Dec 19 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.42.0-1
- add patch to manually set the sse/mmx optimization flags (otherwise
  it configures the program to run in the build host which is 
  different than the runtime host). The patch assumes the host
  will have sse and mmx. 

* Mon Dec 10 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated to version 0.42.0
- switch over to cmake
- ommit support for mp3 encoders and decoders (no dependency on livna)

* Mon Nov 19 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated desktop categories

* Mon Jul  9 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.41.0-1
- updated to 0.41.0
- make Jack the default driver on initial startup, ALSA can have 
  problems with some hardware setups and then you have to edit the
  configuration file manually to get it to start
- add pdf manual

* Wed Jun 13 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.40-1
- initial build.
- fix return of process call for jack driver, was killing the server
  for jackd 0.107.2
